﻿local function AddDropDownClick(num,val,path)
	if num == "Sound" then
		InnerFireHelperDB["SoundVal"] = val;
		InnerFireHelperDB["SoundPath"] = path;
		PlaySoundFile(path)
	elseif num == "Texture" then
		InnerFireHelperDB["TextureVal"] = val;
		InnerFireHelperDB["TexturePath"] = path;
	end
end

local function AddDropDown(num,name,val)
	if num == "Sound" then
		local info = {};
			info.text = name; 
			info.func = InnerFireHelperSoundDropDownMenu_OnClick;
			info.checked = InnerFireHelperDB["SoundVal"] == val;
		UIDropDownMenu_AddButton(info);
	elseif num == "Color" then
		local info = {};
			info.text = name; 
			info.func = InnerFireHelperColorDropDownMenu_OnClick;
			info.checked = InnerFireHelperDB["ColorVal"] == val;
		UIDropDownMenu_AddButton(info);	
	elseif num == "Texture" then
		local info = {};
			info.text = name; 
			info.func = InnerFireHelperTextureDropDownMenu_OnClick;
			info.checked = InnerFireHelperDB["TextureVal"] == val;
		UIDropDownMenu_AddButton(info);	
	elseif num == "CombatText" then
		local info = {};
			info.text = name; 
			info.func = InnerFireHelperCombatTextDropDownMenu_OnClick;
			info.checked = InnerFireHelperDB["CombatText"] == val;
		UIDropDownMenu_AddButton(info);	
	end
end

function InnerFireHelperSoundDropDownMenu_Initialise()
	local info = UIDropDownMenu_CreateInfo();
		AddDropDown("Sound","Murloc",1)
		AddDropDown("Sound","RaidWarning",2)
		AddDropDown("Sound","LevelUP",3)
		AddDropDown("Sound","PVPWarning",4)
		AddDropDown("Sound","Custom",5)
end

function InnerFireHelperSoundDropDownMenu_OnClick()
  	local thisID = this:GetID();
		UIDropDownMenu_SetSelectedID(SoundDropDownMenu, thisID);
  
  if (thisID == 1) then
	AddDropDownClick("Sound",1,"Sound\\Creature\\BabyMurloc\\BabyMurlocA.wav")
  elseif (thisID == 2) then
	AddDropDownClick("Sound",2,"Sound\\interface\\RaidWarning.wav")
  elseif (thisID == 3) then
	AddDropDownClick("Sound",3,"Sound\\Spells\\LevelUp.wav")
  elseif (thisID == 4) then
	AddDropDownClick("Sound",4,"Sound\\Spells\\PVPWarning.wav")
  elseif (thisID == 5) then
	AddDropDownClick("Sound",5,"Interface\\AddOns\\InnerFireHelper\\cust.wav")
  end
end


function InnerFireHelperColorDropDownMenu_Initialise()
	local info = UIDropDownMenu_CreateInfo();
		AddDropDown("Color",INNERFIREHELPER_OPT_BLAU,1)
		AddDropDown("Color",INNERFIREHELPER_OPT_GRUN,2)
		AddDropDown("Color",INNERFIREHELPER_OPT_ORANGE,3)
		AddDropDown("Color",INNERFIREHELPER_OPT_SCHWARZ,4)	
end

function InnerFireHelperColorDropDownMenu_OnClick()
  	local thisID = this:GetID();
		UIDropDownMenu_SetSelectedID(ColorDropDownMenu, thisID);
		
	if (thisID == 1) then
		InnerFireHelperDB["ColorVal"] = 1;
	elseif (thisID == 2) then
		InnerFireHelperDB["ColorVal"] = 2;
	elseif (thisID == 3) then
		InnerFireHelperDB["ColorVal"] = 3;
	elseif (thisID == 4) then
		InnerFireHelperDB["ColorVal"] = 4;
	end
end

function InnerFireHelperTextureDropDownMenu_Initialise()
	local info = UIDropDownMenu_CreateInfo();
	AddDropDown("Texture","UI-StatusBar",1)
	-- Textures from ora2
	AddDropDown("Texture","Otravi",2)
	AddDropDown("Texture","Smooth",3)
	AddDropDown("Texture","Smudge",4)
	AddDropDown("Texture","Charcoal",5)
	AddDropDown("Texture","BantoBar",6)
	AddDropDown("Texture","Perl",7)
	AddDropDown("Texture","Striped",8)
end

function InnerFireHelperTextureDropDownMenu_OnClick()
  	local thisID = this:GetID();
		UIDropDownMenu_SetSelectedID(TextureDropDownMenu, thisID);
		
	if (thisID == 1) then
		AddDropDownClick("Texture",1,"Interface\\TargetingFrame\\UI-StatusBar")
	elseif (thisID == 2) then
		AddDropDownClick("Texture",2,"Interface\\AddOns\\InnerFireHelper\\Textures\\otravi")
	elseif (thisID == 3) then
		AddDropDownClick("Texture",3,"Interface\\AddOns\\InnerFireHelper\\Textures\\smooth")
	elseif (thisID == 4) then
		AddDropDownClick("Texture",4,"Interface\\AddOns\\InnerFireHelper\\Textures\\smudge")
	elseif (thisID == 5) then
		AddDropDownClick("Texture",5,"Interface\\AddOns\\InnerFireHelper\\Textures\\charcoal")
	elseif (thisID == 6) then
		AddDropDownClick("Texture",6,"Interface\\AddOns\\InnerFireHelper\\Textures\\bantobar")
	elseif (thisID == 7) then
		AddDropDownClick("Texture",7,"Interface\\AddOns\\InnerFireHelper\\Textures\\perl")
	elseif (thisID == 8) then
		AddDropDownClick("Texture",8,"Interface\\AddOns\\InnerFireHelper\\Textures\\striped")
	end
end


function InnerFireHelperCombatTextDropDownMenu_Initialise()
	local info = UIDropDownMenu_CreateInfo();
		AddDropDown("CombatText","InnerFireHelper",1)
		AddDropDown("CombatText","Blizzard_CombatText",2)
		AddDropDown("CombatText","Parrot",3)
		AddDropDown("CombatText","SCT",4)
		AddDropDown("CombatText","MikSBT",5)
end

function InnerFireHelperCombatTextDropDownMenu_OnClick()
  	local thisID = this:GetID();
		UIDropDownMenu_SetSelectedID(CombatTextDropDownMenu, thisID);
		
	if (thisID == 1) then
		InnerFireHelperDB["CombatText"] = 1;
	elseif (thisID == 2) then
		InnerFireHelperDB["CombatText"] = 2;
	elseif (thisID == 3) then
		InnerFireHelperDB["CombatText"] = 3;
	elseif (thisID == 4) then
		InnerFireHelperDB["CombatText"] = 4;
	elseif (thisID == 5) then
		InnerFireHelperDB["CombatText"] = 5;
	end
end
































